"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const path_1 = tslib_1.__importDefault(require("path"));
function createJestConfig(_, rootDir) {
    const config = {
        transform: {
            '.(ts|tsx)': require.resolve('ts-jest/dist'),
        },
        transformIgnorePatterns: ['[/\\\\]node_modules[/\\\\].+\\.(js|jsx)$'],
        moduleFileExtensions: ['ts', 'tsx', 'js', 'jsx', 'json', 'node'],
        collectCoverageFrom: ['src/**/*.{ts,tsx}'],
        testMatch: ['<rootDir>/test/**/*.(spec|test).{ts,tsx}'],
        testURL: 'http://localhost',
        rootDir,
        watchPlugins: [
            require.resolve('jest-watch-typeahead/filename'),
            require.resolve('jest-watch-typeahead/testname'),
        ],
    };
    if (!fs_1.default.existsSync(path_1.default.join(rootDir, 'jest.config.js')))
        fs_1.default.writeFile(path_1.default.join(rootDir, 'jest.config.js'), `module.exports = ${JSON.stringify(config, null, 4)}`, err => {
            if (err) {
                console.error('Error trying to save the Jest configuration file!');
            }
        });
    return config;
}
exports.createJestConfig = createJestConfig;
